1# Makefile.in generated by automake 1.7.9 from Makefile.am.
2# @configure_input@
3
4# Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003
5# Free Software Foundation, Inc.
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
17#
18# Makefile.am for checkpassword-pam
19#
20
21srcdir = @srcdir@
22top_srcdir = @top_srcdir@
23VPATH = @srcdir@
24pkgdatadir = $(datadir)/@PACKAGE@
25pkglibdir = $(libdir)/@PACKAGE@
26pkgincludedir = $(includedir)/@PACKAGE@
27top_builddir = .
28
29am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
30INSTALL = @INSTALL@
31install_sh_DATA = $(install_sh) -c -m 644
32install_sh_PROGRAM = $(install_sh) -c
33install_sh_SCRIPT = $(install_sh) -c
34INSTALL_HEADER = $(INSTALL_DATA)
35transform = $(program_transform_name)
36NORMAL_INSTALL = :
37PRE_INSTALL = :
38POST_INSTALL = :
39NORMAL_UNINSTALL = :
40PRE_UNINSTALL = :
41POST_UNINSTALL = :
42ACLOCAL = @ACLOCAL@
43AMDEP_FALSE = @AMDEP_FALSE@
44AMDEP_TRUE = @AMDEP_TRUE@
45AMTAR = @AMTAR@
46AUTOCONF = @AUTOCONF@
47AUTOHEADER = @AUTOHEADER@
48AUTOMAKE = @AUTOMAKE@
49AWK = @AWK@
50CC = @CC@
51CCDEPMODE = @CCDEPMODE@
52CFLAGS = @CFLAGS@
53CPPFLAGS = @CPPFLAGS@
54CYGPATH_W = @CYGPATH_W@
55DEFS = @DEFS@
56DEPDIR = @DEPDIR@
57ECHO_C = @ECHO_C@
58ECHO_N = @ECHO_N@
59ECHO_T = @ECHO_T@
60EXEEXT = @EXEEXT@
61INSTALL_DATA = @INSTALL_DATA@
62INSTALL_PROGRAM = @INSTALL_PROGRAM@
63INSTALL_SCRIPT = @INSTALL_SCRIPT@
64INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
65LDFLAGS = @LDFLAGS@
66LIBOBJS = @LIBOBJS@
67LIBS = @LIBS@
68LTLIBOBJS = @LTLIBOBJS@
69MAINT = @MAINT@
70MAINTAINER_MODE_FALSE = @MAINTAINER_MODE_FALSE@
71MAINTAINER_MODE_TRUE = @MAINTAINER_MODE_TRUE@
72MAKEINFO = @MAKEINFO@
73OBJEXT = @OBJEXT@
74PACKAGE = @PACKAGE@
75PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
76PACKAGE_NAME = @PACKAGE_NAME@
77PACKAGE_STRING = @PACKAGE_STRING@
78PACKAGE_TARNAME = @PACKAGE_TARNAME@
79PACKAGE_VERSION = @PACKAGE_VERSION@
80PATH_SEPARATOR = @PATH_SEPARATOR@
81PREVIOUS_VERSION = @PREVIOUS_VERSION@
82SET_MAKE = @SET_MAKE@
83SHELL = @SHELL@
84STRIP = @STRIP@
85VERSION = @VERSION@
86ac_ct_CC = @ac_ct_CC@
87ac_ct_STRIP = @ac_ct_STRIP@
88am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
89am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
90am__include = @am__include@
91am__leading_dot = @am__leading_dot@
92am__quote = @am__quote@
93bindir = @bindir@
94build_alias = @build_alias@
95datadir = @datadir@
96exec_prefix = @exec_prefix@
97host_alias = @host_alias@
98includedir = @includedir@
99infodir = @infodir@
100install_sh = @install_sh@
101libdir = @libdir@
102libexecdir = @libexecdir@
103localstatedir = @localstatedir@
104mandir = @mandir@
105oldincludedir = @oldincludedir@
106prefix = @prefix@
107program_transform_name = @program_transform_name@
108sbindir = @sbindir@
109sharedstatedir = @sharedstatedir@
110sysconfdir = @sysconfdir@
111target_alias = @target_alias@
112
113man_MANS = checkpassword-pam.8
114
115bin_PROGRAMS = checkpassword-pam
116
117checkpassword_pam_SOURCES = checkpassword-pam.c logging.h pam-support.h pam-support.c \
118                            getopt.h getopt.c getopt1.c
119
120
121EXTRA_DIST = $(man_MANS) interface.html \
122             debian/changelog debian/control debian/copyright \
123             debian/docs debian/*.files debian/*.manpages debian/rules
124
125subdir = .
126ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
127mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
128CONFIG_HEADER = config.h
129CONFIG_CLEAN_FILES = checkpassword-pam.spec
130bin_PROGRAMS = checkpassword-pam$(EXEEXT)
131PROGRAMS = $(bin_PROGRAMS)
132
133am_checkpassword_pam_OBJECTS = checkpassword-pam.$(OBJEXT) \
134	pam-support.$(OBJEXT) getopt.$(OBJEXT) getopt1.$(OBJEXT)
135checkpassword_pam_OBJECTS = $(am_checkpassword_pam_OBJECTS)
136checkpassword_pam_LDADD = $(LDADD)
137checkpassword_pam_DEPENDENCIES =
138checkpassword_pam_LDFLAGS =
139
140DEFAULT_INCLUDES =  -I. -I$(srcdir) -I.
141depcomp = $(SHELL) $(top_srcdir)/depcomp
142am__depfiles_maybe = depfiles
143@AMDEP_TRUE@DEP_FILES = ./$(DEPDIR)/checkpassword-pam.Po \
144@AMDEP_TRUE@	./$(DEPDIR)/getopt.Po ./$(DEPDIR)/getopt1.Po \
145@AMDEP_TRUE@	./$(DEPDIR)/pam-support.Po
146COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
147	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
148CCLD = $(CC)
149LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
150DIST_SOURCES = $(checkpassword_pam_SOURCES)
151
152NROFF = nroff
153MANS = $(man_MANS)
154DIST_COMMON = README $(srcdir)/Makefile.in $(srcdir)/configure AUTHORS \
155	COPYING ChangeLog INSTALL Makefile.am NEWS aclocal.m4 \
156	checkpassword-pam.spec.in config.h.in configure configure.ac \
157	depcomp install-sh missing mkinstalldirs
158SOURCES = $(checkpassword_pam_SOURCES)
159
160all: config.h
161	$(MAKE) $(AM_MAKEFLAGS) all-am
162
163.SUFFIXES:
164.SUFFIXES: .c .o .obj
165
166am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
167 configure.lineno
168$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ Makefile.am  $(top_srcdir)/configure.ac $(ACLOCAL_M4)
169	cd $(top_srcdir) && \
170	  $(AUTOMAKE) --gnu  Makefile
171Makefile: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.in  $(top_builddir)/config.status
172	cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)
173
174$(top_builddir)/config.status: $(srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
175	$(SHELL) ./config.status --recheck
176$(srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(srcdir)/configure.ac $(ACLOCAL_M4) $(CONFIGURE_DEPENDENCIES)
177	cd $(srcdir) && $(AUTOCONF)
178
179$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ configure.ac
180	cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
181
182config.h: stamp-h1
183	@if test ! -f $@; then \
184	  rm -f stamp-h1; \
185	  $(MAKE) stamp-h1; \
186	else :; fi
187
188stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
189	@rm -f stamp-h1
190	cd $(top_builddir) && $(SHELL) ./config.status config.h
191
192$(srcdir)/config.h.in: @MAINTAINER_MODE_TRUE@ $(top_srcdir)/configure.ac $(ACLOCAL_M4)
193	cd $(top_srcdir) && $(AUTOHEADER)
194	touch $(srcdir)/config.h.in
195
196distclean-hdr:
197	-rm -f config.h stamp-h1
198checkpassword-pam.spec: $(top_builddir)/config.status checkpassword-pam.spec.in
199	cd $(top_builddir) && $(SHELL) ./config.status $@
200binPROGRAMS_INSTALL = $(INSTALL_PROGRAM)
201install-binPROGRAMS: $(bin_PROGRAMS)
202	@$(NORMAL_INSTALL)
203	$(mkinstalldirs) $(DESTDIR)$(bindir)
204	@list='$(bin_PROGRAMS)'; for p in $$list; do \
205	  p1=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
206	  if test -f $$p \
207	  ; then \
208	    f=`echo "$$p1" | sed 's,^.*/,,;$(transform);s/$$/$(EXEEXT)/'`; \
209	   echo " $(INSTALL_PROGRAM_ENV) $(binPROGRAMS_INSTALL) $$p $(DESTDIR)$(bindir)/$$f"; \
210	   $(INSTALL_PROGRAM_ENV) $(binPROGRAMS_INSTALL) $$p $(DESTDIR)$(bindir)/$$f || exit 1; \
211	  else :; fi; \
212	done
213
214uninstall-binPROGRAMS:
215	@$(NORMAL_UNINSTALL)
216	@list='$(bin_PROGRAMS)'; for p in $$list; do \
217	  f=`echo "$$p" | sed 's,^.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/'`; \
218	  echo " rm -f $(DESTDIR)$(bindir)/$$f"; \
219	  rm -f $(DESTDIR)$(bindir)/$$f; \
220	done
221
222clean-binPROGRAMS:
223	-test -z "$(bin_PROGRAMS)" || rm -f $(bin_PROGRAMS)
224checkpassword-pam$(EXEEXT): $(checkpassword_pam_OBJECTS) $(checkpassword_pam_DEPENDENCIES)
225	@rm -f checkpassword-pam$(EXEEXT)
226	$(LINK) $(checkpassword_pam_LDFLAGS) $(checkpassword_pam_OBJECTS) $(checkpassword_pam_LDADD) $(LIBS)
227
228mostlyclean-compile:
229	-rm -f *.$(OBJEXT) core *.core
230
231distclean-compile:
232	-rm -f *.tab.c
233
234@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/checkpassword-pam.Po@am__quote@
235@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/getopt.Po@am__quote@
236@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/getopt1.Po@am__quote@
237@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/pam-support.Po@am__quote@
238
239.c.o:
240@am__fastdepCC_TRUE@	if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \
241@am__fastdepCC_TRUE@	  -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<; \
242@am__fastdepCC_TRUE@	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; \
243@am__fastdepCC_TRUE@	else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; \
244@am__fastdepCC_TRUE@	fi
245@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
246@AMDEP_TRUE@@am__fastdepCC_FALSE@	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' @AMDEPBACKSLASH@
247@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
248@am__fastdepCC_FALSE@	$(COMPILE) -c `test -f '$<' || echo '$(srcdir)/'`$<
249
250.c.obj:
251@am__fastdepCC_TRUE@	if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \
252@am__fastdepCC_TRUE@	  -c -o $@ `if test -f '$<'; then $(CYGPATH_W) '$<'; else $(CYGPATH_W) '$(srcdir)/$<'; fi`; \
253@am__fastdepCC_TRUE@	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; \
254@am__fastdepCC_TRUE@	else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; \
255@am__fastdepCC_TRUE@	fi
256@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
257@AMDEP_TRUE@@am__fastdepCC_FALSE@	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' @AMDEPBACKSLASH@
258@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
259@am__fastdepCC_FALSE@	$(COMPILE) -c `if test -f '$<'; then $(CYGPATH_W) '$<'; else $(CYGPATH_W) '$(srcdir)/$<'; fi`
260uninstall-info-am:
261
262man8dir = $(mandir)/man8
263install-man8: $(man8_MANS) $(man_MANS)
264	@$(NORMAL_INSTALL)
265	$(mkinstalldirs) $(DESTDIR)$(man8dir)
266	@list='$(man8_MANS) $(dist_man8_MANS) $(nodist_man8_MANS)'; \
267	l2='$(man_MANS) $(dist_man_MANS) $(nodist_man_MANS)'; \
268	for i in $$l2; do \
269	  case "$$i" in \
270	    *.8*) list="$$list $$i" ;; \
271	  esac; \
272	done; \
273	for i in $$list; do \
274	  if test -f $(srcdir)/$$i; then file=$(srcdir)/$$i; \
275	  else file=$$i; fi; \
276	  ext=`echo $$i | sed -e 's/^.*\\.//'`; \
277	  case "$$ext" in \
278	    8*) ;; \
279	    *) ext='8' ;; \
280	  esac; \
281	  inst=`echo $$i | sed -e 's/\\.[0-9a-z]*$$//'`; \
282	  inst=`echo $$inst | sed -e 's/^.*\///'`; \
283	  inst=`echo $$inst | sed '$(transform)'`.$$ext; \
284	  echo " $(INSTALL_DATA) $$file $(DESTDIR)$(man8dir)/$$inst"; \
285	  $(INSTALL_DATA) $$file $(DESTDIR)$(man8dir)/$$inst; \
286	done
287uninstall-man8:
288	@$(NORMAL_UNINSTALL)
289	@list='$(man8_MANS) $(dist_man8_MANS) $(nodist_man8_MANS)'; \
290	l2='$(man_MANS) $(dist_man_MANS) $(nodist_man_MANS)'; \
291	for i in $$l2; do \
292	  case "$$i" in \
293	    *.8*) list="$$list $$i" ;; \
294	  esac; \
295	done; \
296	for i in $$list; do \
297	  ext=`echo $$i | sed -e 's/^.*\\.//'`; \
298	  case "$$ext" in \
299	    8*) ;; \
300	    *) ext='8' ;; \
301	  esac; \
302	  inst=`echo $$i | sed -e 's/\\.[0-9a-z]*$$//'`; \
303	  inst=`echo $$inst | sed -e 's/^.*\///'`; \
304	  inst=`echo $$inst | sed '$(transform)'`.$$ext; \
305	  echo " rm -f $(DESTDIR)$(man8dir)/$$inst"; \
306	  rm -f $(DESTDIR)$(man8dir)/$$inst; \
307	done
308
309ETAGS = etags
310ETAGSFLAGS =
311
312CTAGS = ctags
313CTAGSFLAGS =
314
315tags: TAGS
316
317ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
318	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
319	unique=`for i in $$list; do \
320	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
321	  done | \
322	  $(AWK) '    { files[$$0] = 1; } \
323	       END { for (i in files) print i; }'`; \
324	mkid -fID $$unique
325
326TAGS:  $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
327		$(TAGS_FILES) $(LISP)
328	tags=; \
329	here=`pwd`; \
330	list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
331	unique=`for i in $$list; do \
332	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
333	  done | \
334	  $(AWK) '    { files[$$0] = 1; } \
335	       END { for (i in files) print i; }'`; \
336	test -z "$(ETAGS_ARGS)$$tags$$unique" \
337	  || $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
338	     $$tags $$unique
339
340ctags: CTAGS
341CTAGS:  $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
342		$(TAGS_FILES) $(LISP)
343	tags=; \
344	here=`pwd`; \
345	list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
346	unique=`for i in $$list; do \
347	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
348	  done | \
349	  $(AWK) '    { files[$$0] = 1; } \
350	       END { for (i in files) print i; }'`; \
351	test -z "$(CTAGS_ARGS)$$tags$$unique" \
352	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
353	     $$tags $$unique
354
355GTAGS:
356	here=`$(am__cd) $(top_builddir) && pwd` \
357	  && cd $(top_srcdir) \
358	  && gtags -i $(GTAGS_ARGS) $$here
359
360distclean-tags:
361	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
362DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
363
364top_distdir = .
365distdir = $(PACKAGE)-$(VERSION)
366
367am__remove_distdir = \
368  { test ! -d $(distdir) \
369    || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \
370         && rm -fr $(distdir); }; }
371
372GZIP_ENV = --best
373distuninstallcheck_listfiles = find . -type f -print
374distcleancheck_listfiles = find . -type f -print
375
376distdir: $(DISTFILES)
377	$(am__remove_distdir)
378	mkdir $(distdir)
379	$(mkinstalldirs) $(distdir)/. $(distdir)/debian
380	@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
381	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
382	list='$(DISTFILES)'; for file in $$list; do \
383	  case $$file in \
384	    $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
385	    $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
386	  esac; \
387	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
388	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
389	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
390	    dir="/$$dir"; \
391	    $(mkinstalldirs) "$(distdir)$$dir"; \
392	  else \
393	    dir=''; \
394	  fi; \
395	  if test -d $$d/$$file; then \
396	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
397	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
398	    fi; \
399	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
400	  else \
401	    test -f $(distdir)/$$file \
402	    || cp -p $$d/$$file $(distdir)/$$file \
403	    || exit 1; \
404	  fi; \
405	done
406	-find $(distdir) -type d ! -perm -777 -exec chmod a+rwx {} \; -o \
407	  ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
408	  ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
409	  ! -type d ! -perm -444 -exec $(SHELL) $(install_sh) -c -m a+r {} {} \; \
410	|| chmod -R a+r $(distdir)
411dist-gzip: distdir
412	$(AMTAR) chof - $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
413	$(am__remove_distdir)
414
415dist dist-all: distdir
416	$(AMTAR) chof - $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
417	$(am__remove_distdir)
418
419# This target untars the dist file and tries a VPATH configuration.  Then
420# it guarantees that the distribution is self-contained by making another
421# tarfile.
422distcheck: dist
423	$(am__remove_distdir)
424	GZIP=$(GZIP_ENV) gunzip -c $(distdir).tar.gz | $(AMTAR) xf -
425	chmod -R a-w $(distdir); chmod a+w $(distdir)
426	mkdir $(distdir)/_build
427	mkdir $(distdir)/_inst
428	chmod a-w $(distdir)
429	dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
430	  && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
431	  && cd $(distdir)/_build \
432	  && ../configure --srcdir=.. --prefix="$$dc_install_base" \
433	    $(DISTCHECK_CONFIGURE_FLAGS) \
434	  && $(MAKE) $(AM_MAKEFLAGS) \
435	  && $(MAKE) $(AM_MAKEFLAGS) dvi \
436	  && $(MAKE) $(AM_MAKEFLAGS) check \
437	  && $(MAKE) $(AM_MAKEFLAGS) install \
438	  && $(MAKE) $(AM_MAKEFLAGS) installcheck \
439	  && $(MAKE) $(AM_MAKEFLAGS) uninstall \
440	  && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
441	        distuninstallcheck \
442	  && chmod -R a-w "$$dc_install_base" \
443	  && ({ \
444	       (cd ../.. && $(mkinstalldirs) "$$dc_destdir") \
445	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
446	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
447	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
448	            distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
449	      } || { rm -rf "$$dc_destdir"; exit 1; }) \
450	  && rm -rf "$$dc_destdir" \
451	  && $(MAKE) $(AM_MAKEFLAGS) dist-gzip \
452	  && rm -f $(distdir).tar.gz \
453	  && $(MAKE) $(AM_MAKEFLAGS) distcleancheck
454	$(am__remove_distdir)
455	@echo "$(distdir).tar.gz is ready for distribution" | \
456	  sed 'h;s/./=/g;p;x;p;x'
457distuninstallcheck:
458	@cd $(distuninstallcheck_dir) \
459	&& test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
460	   || { echo "ERROR: files left after uninstall:" ; \
461	        if test -n "$(DESTDIR)"; then \
462	          echo "  (check DESTDIR support)"; \
463	        fi ; \
464	        $(distuninstallcheck_listfiles) ; \
465	        exit 1; } >&2
466distcleancheck: distclean
467	@if test '$(srcdir)' = . ; then \
468	  echo "ERROR: distcleancheck can only run from a VPATH build" ; \
469	  exit 1 ; \
470	fi
471	@test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
472	  || { echo "ERROR: files left in build directory after distclean:" ; \
473	       $(distcleancheck_listfiles) ; \
474	       exit 1; } >&2
475check-am: all-am
476check: check-am
477all-am: Makefile $(PROGRAMS) $(MANS) config.h
478
479installdirs:
480	$(mkinstalldirs) $(DESTDIR)$(bindir) $(DESTDIR)$(man8dir)
481install: install-am
482install-exec: install-exec-am
483install-data: install-data-am
484uninstall: uninstall-am
485
486install-am: all-am
487	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
488
489installcheck: installcheck-am
490install-strip:
491	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
492	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
493	  `test -z '$(STRIP)' || \
494	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
495mostlyclean-generic:
496
497clean-generic:
498
499distclean-generic:
500	-rm -f $(CONFIG_CLEAN_FILES)
501
502maintainer-clean-generic:
503	@echo "This command is intended for maintainers to use"
504	@echo "it deletes files that may require special tools to rebuild."
505clean: clean-am
506
507clean-am: clean-binPROGRAMS clean-generic clean-local mostlyclean-am
508
509distclean: distclean-am
510	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
511	-rm -rf ./$(DEPDIR)
512	-rm -f Makefile
513distclean-am: clean-am distclean-compile distclean-generic distclean-hdr \
514	distclean-tags
515
516dvi: dvi-am
517
518dvi-am:
519
520info: info-am
521
522info-am:
523
524install-data-am: install-man
525
526install-exec-am: install-binPROGRAMS
527
528install-info: install-info-am
529
530install-man: install-man8
531
532installcheck-am:
533
534maintainer-clean: maintainer-clean-am
535	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
536	-rm -rf $(top_srcdir)/autom4te.cache
537	-rm -rf ./$(DEPDIR)
538	-rm -f Makefile
539maintainer-clean-am: distclean-am maintainer-clean-generic
540
541mostlyclean: mostlyclean-am
542
543mostlyclean-am: mostlyclean-compile mostlyclean-generic
544
545pdf: pdf-am
546
547pdf-am:
548
549ps: ps-am
550
551ps-am:
552
553uninstall-am: uninstall-binPROGRAMS uninstall-info-am uninstall-man
554
555uninstall-man: uninstall-man8
556
557.PHONY: CTAGS GTAGS all all-am check check-am clean clean-binPROGRAMS \
558	clean-generic clean-local ctags dist dist-all dist-gzip \
559	distcheck distclean distclean-compile distclean-generic \
560	distclean-hdr distclean-tags distcleancheck distdir \
561	distuninstallcheck dvi dvi-am info info-am install install-am \
562	install-binPROGRAMS install-data install-data-am install-exec \
563	install-exec-am install-info install-info-am install-man \
564	install-man8 install-strip installcheck installcheck-am \
565	installdirs maintainer-clean maintainer-clean-generic \
566	mostlyclean mostlyclean-compile mostlyclean-generic pdf pdf-am \
567	ps ps-am tags uninstall uninstall-am uninstall-binPROGRAMS \
568	uninstall-info-am uninstall-man uninstall-man8
569
570
571.PHONY: diff
572diff:
573	tar zxfv $(PACKAGE)-$(PREVIOUS_VERSION).tar.gz
574	tar zxfv $(PACKAGE)-$(VERSION).tar.gz
575	diff -ruN $(PACKAGE)-$(PREVIOUS_VERSION)/ $(PACKAGE)-$(VERSION)/ > \
576		$(PACKAGE)-$(PREVIOUS_VERSION)-$(VERSION).diff; /bin/true
577	gzip $(PACKAGE)-$(PREVIOUS_VERSION)-$(VERSION).diff
578	rm -rf ./$(PACKAGE)-$(PREVIOUS_VERSION)/ $(PACKAGE)-$(VERSION)/
579
580.PHONY: upload
581upload:
582	ncftpput upload.sourceforge.net /incoming \
583		$(PACKAGE)-$(VERSION).tar.gz $(PACKAGE)-$(PREVIOUS_VERSION)-$(VERSION).diff.gz
584
585.PHONY: deb
586deb: dist
587	rm -rf tmp/
588	mkdir tmp/
589	tar zxfv $(PACKAGE)-$(VERSION).tar.gz -C tmp/
590	cd tmp/$(PACKAGE)-$(VERSION); dpkg-buildpackage -rfakeroot -uc -us
591
592.PHONY: clean-local
593clean-local:
594	rm -rf tmp/
595# Tell versions [3.59,3.63) of GNU make to not export all variables.
596# Otherwise a system limit (for SysV at least) may be exceeded.
597.NOEXPORT:
598